summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/ctan2tl
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-12-24 01:10:54 +0000
committerKarl Berry <karl@freefriends.org>2008-12-24 01:10:54 +0000
commit41a56f5b7e74229d400a0c72cb900e2b1b3875c3 (patch)
treecc8ede263d129924dd4864297dcf4018999f46bd /Master/tlpkg/bin/ctan2tl
parent219fecec6f6232564cea56106ba88017354f50f2 (diff)
siunitx 1.1j (22dec08)
git-svn-id: svn://tug.org/texlive/trunk@11700 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/ctan2tl')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl24
1 files changed, 12 insertions, 12 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 66125006e8a..fec77eac587 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -56,20 +56,20 @@ if test -z "$pkg"; then
fi
if $copy_from_ctan; then
- ctan_dir1=`tlpkginfo --prepare $pkg`
+ ctan_dir=`tlpkginfo --prepare $pkg`
else
- ctan_dir1="$pkg"
+ ctan_dir="$pkg"
fi
-if test -z "$ctan_dir1"; then
+if test -z "$ctan_dir"; then
echo "$0: can't find CTAN directory for $pkg." >&2
exit 1
fi
echo "$0: ctan dir for $pkg"
-echo "$0: is $ctan_dir1"
+echo "$0: is $ctan_dir"
-test -r "$ctan_dir1/TDS_READY" \
-&& echo "$0: from `cat $ctan_dir1/TDS_READY`"
+test -r "$ctan_dir/TDS_READY" \
+&& echo "$0: from `cat $ctan_dir/TDS_READY`"
if egrep " $pkg"'( |$)' $mydir/tlpkg-ctan-check >/dev/null; then :; else
echo
@@ -82,24 +82,24 @@ if $copy_from_ctan; then
# remove whatever dregs in raw that might be lying around.
rm -rf $pkg
-if test "$pkg" = genmisc; then
+if test "$pkg" = genmisc; then # remove files after copying in ctan2tds
# do not copy subdirs, symlinks, or any files but .sty and .tex
# (that is, no patch.doc or pmat.zip).
mkdir -p $pkg
cp -p \
- `find $ctan_dir1/* '(' -type d -o -type l ')' -prune -o \
+ `find $ctan_dir/* '(' -type d -o -type l ')' -prune -o \
'(' -name '*.sty' -o -name *.tex ')' -print` \
$pkg
else
# normal case (/. to deref symlinks, e.g., arabtex)
- cp -pr $ctan_dir1/. $pkg
+ cp -pr $ctan_dir/. $pkg
fi
# clean up the tmpdir possibly created by 'tlpkginfo --prepare'
ctan_root=`tlpkginfo --ctan-root`
-if ! echo "$ctan_dir1" | egrep "^$ctan_root" >/dev/null; then
- rm -rf $ctan_dir1
+if ! echo "$ctan_dir" | egrep "^$ctan_root" >/dev/null; then
+ rm -rf $ctan_dir
fi
fi # end of copying from CTAN.
@@ -109,7 +109,7 @@ printf "\n$0: calling ctan2tds\n"
cooked=$Build/tmp.cooked
rm -rf $cooked/$pkg
test -d $cooked || mkdir $cooked
-ctan2tds --ctan-dir=$ctan_dir1 $pkg || exit 1
+ctan2tds --ctan-dir=$ctan_dir $pkg || exit 1
cd $cooked || exit 1
printf "\n\f cooked\n"